# CharSeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for CharSeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::CharSeq

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_CHARSEQ_CH_

## Typedefs

typedef TAO_FixedSeq_Var_T< CharSeq, CORBA::Char > | CharSeq_var
typedef TAO_Seq_Out_T< CharSeq, CharSeq_var, CORBA::Char > | CharSeq_out

## Functions

TAO_Export::CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::CharSeq &)
TAO_Export::CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::CharSeq &)

## Define Documentation

#define _CORBA_CHARSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< CharSeq, CharSeq_var, CORBA::Char > CORBA::CharSeq_out

typedef TAO_FixedSeq_Var_T< CharSeq, CORBA::Char > CORBA::CharSeq_var

## Function Documentation

TAO_Export ::CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::CharSeq & |
| ) |

TAO_Export ::CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::CharSeq & |
| ) |